Page MenuHomePhabricator

Recover user edited text by accidentally click on "Use source text" or "clear" button
Closed, DeclinedPublic

Description

Users have lost some of their work on a paragraph because of accidental clicking some of the buttons from the MT card ("use source" or "clear"). We may want to:

  • Highlight the paragraph that will be affected when hovering such buttons. That will help to communicate what will be affected by the action.
  • Make the "Restore" action to recover the last edited text from the user when it has been replaced by some MT options.
  • Make the "Restore" action become "Apply automatic translation" when there is a modified text by the user, and make sure that after applying it the "restore" option is provided as described above.
  • Don't show the paragraph/MT card when there is text selected. Show it only when the text caret is on a given paragraph.

Event Timeline

Pginer-WMF raised the priority of this task from to Needs Triage.
Pginer-WMF updated the task description. (Show Details)
Pginer-WMF added a project: ContentTranslation.
Amire80 triaged this task as High priority.Jul 28 2015, 6:46 PM
Amire80 set Security to None.
Amire80 moved this task from Needs Triage to CX6 on the ContentTranslation board.

Change 228220 had a related patch set uploaded (by Santhosh):
MT Card: Hightlight the section when hovering action buttons

https://gerrit.wikimedia.org/r/228220

Pginer-WMF updated the task description. (Show Details)Jul 31 2015, 10:34 AM
santhosh added a project: LE-CX6-Sprint 1.
santhosh moved this task from Backlog to In Progress on the LE-CX6-Sprint 1 board.

Change 228220 merged by jenkins-bot:
MT Card: Hightlight the section when hovering action buttons

https://gerrit.wikimedia.org/r/228220

Arrbee raised the priority of this task from High to Needs Triage.Aug 11 2015, 7:26 AM
Arrbee edited projects, added LE-CX6-Sprint 2; removed LE-CX6-Sprint 1.
Arrbee updated the task description. (Show Details)Aug 12 2015, 6:44 AM
Arrbee triaged this task as Normal priority.Aug 12 2015, 7:05 AM
Arrbee edited a custom field.Aug 12 2015, 7:22 AM
Amire80 moved this task from CX6 to CX7 on the ContentTranslation board.Oct 2 2015, 3:28 PM
Amire80 renamed this task from Recover user edited text by accidentally click on "use source" or "clear" button to Recover user edited text by accidentally click on "Use source text" or "clear" button.Oct 19 2015, 8:41 AM
Amire80 raised the priority of this task from Normal to High.
Amire80 edited a custom field.
Amire80 added subscribers: Amire80, Bugreporter.

This might be delayed till VE integration(which will bring undo,redo support)

Amire80 moved this task from CX7 to CX8 on the ContentTranslation board.Jan 24 2016, 10:29 PM

How about the following simplistic solution: Remove this button entirely.

It's possible to delete a paragraph's content by marking all the text and pressing the Delete key. It's just as effective, it's generic, it's undoable, and it's not destructive. Other thoughts?

How about the following simplistic solution: Remove this button entirely.
It's possible to delete a paragraph's content by marking all the text and pressing the Delete key. It's just as effective, it's generic, it's undoable, and it's not destructive. Other thoughts?

I see value in providing a quick way to clear the paragraph:

  • The purpose of having a quick way to clear the paragraph is that it reduces the negative impact of having a potentially low quality automatic translation. If the user gets a bad translation for a specific paragraph, she can start from scratch (or using the source text as a template) in a single click.
  • Clearing a paragraph manually requires additional steps and relies on either users precision (to select the proper content) or familiarity with keyboard shortcuts.

OK... so how can we fix it without it? It's a thing that people keep complaining about as a kind of data loss. Save the content being deleted it in localstorage? (I'm kinda unhappy about reimplementing the Undo action that browsers provide, but I guess we could something limited. Most importantly, I don't want users to lose the work they typed.

OK... so how can we fix it without it? It's a thing that people keep complaining about as a kind of data loss. Save the content being deleted it in localstorage? (I'm kinda unhappy about reimplementing the Undo action that browsers provide, but I guess we could something limited. Most importantly, I don't want users to lose the work they typed.

Some local way to keep the information sounds good to me (localstorage, a property of the dom element, ...), I think we don't need to keep that info across multiple translation sessions.

I recalled one reported case where the action was applied accidentally when trying to add a link. For similar cases, one of the proposed points would help:

Don't show the paragraph/MT card when there is text selected. Show it only when the text caret is on a given paragraph.

Not showing the card when it is not relevant will help to keep things simple and avoid unintended uses too.

Don't show the paragraph/MT card when there is text selected. Show it only when the text caret is on a given paragraph.

Not showing the card when it is not relevant will help to keep things simple and avoid unintended uses too.

That seems to be already done. I'll update the ticket description to reflect the status of the sub-items.

Pginer-WMF updated the task description. (Show Details)Feb 16 2016, 3:26 PM
Arrbee lowered the priority of this task from High to Normal.Feb 17 2016, 7:02 AM
Arrbee added a subscriber: Arrbee.

Changed priority for the current sprint. To be reconsidered at a later stage.

Amire80 raised the priority of this task from Normal to High.Feb 18 2016, 12:46 PM

This is high priority, because it causes data loss.

If the idea is to make an interim quick solution for data until a better one is fully implemented, then I can repeat what I suggested earlier: remove this button completely until it's implemented more safely.

This is high priority, because it causes data loss.

It generates data loss, but it is also worth mentioning that the cause and how to prevent it becomes also obvious to the user (unlike receiving a cryptic error after hitting "publish", for example). So while I agree that we need to polish the experience, we should not consider just a general "data loss" bucket. Whether those two cases are both marked as "high" in Phabricator is your call, but just wanted to point a difference I think is relevant.

Also, do we have some data on how much this action is used? (I guess it would be hard to identify how many of those uses causes trouble, but having the frequency of use can be informative).

This is high priority, because it causes data loss.

It generates data loss, but it is also worth mentioning that the cause and how to prevent it becomes also obvious to the user (unlike receiving a cryptic error after hitting "publish", for example). So while I agree that we need to polish the experience, we should not consider just a general "data loss" bucket. Whether those two cases are both marked as "high" in Phabricator is your call, but just wanted to point a difference I think is relevant.

Of course they are not the same, but as far as the users are concerned, a text on which they were working for some time is irrecoverably lost in both cases.

Also, do we have some data on how much this action is used? (I guess it would be hard to identify how many of those uses causes trouble, but having the frequency of use can be informative).

No. It's fairly easy to add an EventLogging event for this, though I'm not sure it's worth it (why this and not any of the other buttons?)

No. It's fairly easy to add an EventLogging event for this, though I'm not sure it's worth it (why this and not any of the other buttons?)

Because it is a potential source of frequent or infrequent data loss, unlike other buttons you didn't suggest to remove.

Since now we are applying the MT strategy as soon as it is selected, there are some clarifications needed on this ticket. I'll add more details.

Arrbee reassigned this task from santhosh to Pginer-WMF.Mar 4 2016, 8:07 AM
Arrbee edited projects, added LE-CX8-Sprint break; removed LE-CX8-Sprint 3.

I explored a way to reduce data loss by simplifying the MT card: T130594: Simplify the "Automatic translation" card
That provides a way to keep user modifications while making the destructive actions more explicit.
Feel free to add it as a blocker of the current one if needed.

Amire80 closed this task as Declined.Apr 20 2016, 10:45 AM

Will be done as T130594.